// import component class
import { Component } from '@angular/core';

// mark this class as angular component using @Component decorator
@Component({
    selector: 'app-root',
    templateUrl: './app.component.html',
    styleUrls: ['./app.component.css']
})

// component of our app
export class AppComponent {

    title = "Read Products";

    // properties used to identify what views to show
    show_products_html=true;
    show_categories_html=false;

    // show products component
    showProducts(){

        // set title
        this.title="Read Products"

        // hide all html then show only one html
        this.hideAll_Html();
        this.show_products_html=true;
    }

    // show categories component
    showCategories($event){
        // set title
        this.title="Read Categories"

        // hide all html then show only one html
        this.hideAll_Html();
        this.show_categories_html=true;
    }

    // hide all child component html
    hideAll_Html(){
        this.show_products_html=false;
        this.show_categories_html=false;
    }

    // change title
    changeTitle($event){
        this.title=$event.title;
    }
}
