import { BrowserModule } from '@angular/platform-browser';
import { NgModule } from '@angular/core';
import { FormsModule, ReactiveFormsModule } from '@angular/forms';
import { HttpModule } from '@angular/http';

import { AppComponent } from './app.component';

import { ProductsComponent } from './products/products.component';
import { ReadProductsComponent } from './products/read-products/read-products.component';
import { CreateProductComponent } from './products/create-product/create-product.component';
import { ReadOneProductComponent } from './products/read-one-product/read-one-product.component';
import { UpdateProductComponent } from './products/update-product/update-product.component';
import { DeleteProductComponent } from './products/delete-product/delete-product.component';

import { CategoriesComponent } from './categories/categories.component';
import { CreateCategoryComponent } from './categories/create-category/create-category.component';
import { ReadCategoriesComponent } from './categories/read-categories/read-categories.component';
import { ReadOneCategoryComponent } from './categories/read-one-category/read-one-category.component';
import { UpdateCategoryComponent } from './categories/update-category/update-category.component';
import { DeleteCategoryComponent } from './categories/delete-category/delete-category.component';

@NgModule({
    declarations: [
        AppComponent,
        ProductsComponent,
        ReadProductsComponent,
        CreateProductComponent,
        ReadOneProductComponent,
        UpdateProductComponent,
        DeleteProductComponent,
        CategoriesComponent,
        CreateCategoryComponent,
        ReadCategoriesComponent,
        ReadOneCategoryComponent,
        UpdateCategoryComponent,
        DeleteCategoryComponent
    ],
    imports: [
        BrowserModule,
        FormsModule,
        HttpModule,
        ReactiveFormsModule
    ],
    providers: [],
    bootstrap: [AppComponent]
})
export class AppModule { }
